Bug 208224 - lvm2 snapshot and XFS , using xfs_freeze to do this, but then lvcreate hang.
lvm2 snapshot and XFS , using xfs_freeze to do this, but then lvcreate hang.
Product: Red Hat Developer Program
Classification: Retired
Component: ABE (Show other bugs)
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Brian Stein
Michael Waite
Depends On:
  Show dependency treegraph
Reported: 2006-09-27 01:25 EDT by ryan z
Modified: 2013-03-01 00:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-08 11:06:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description ryan z 2006-09-27 01:25:32 EDT
Description of problem:

Help, lvm2 snapshot and XFS , using xfs_freeze to do this, but then
lvcreate hang.

I use lvm2 and xfs both.  If I do not use xfs_freeze before, I can use
lvcreate snapshot the lv. And it work fine for some static files or
lv, but not for running system such as / (root) which will generate a
log of I/O error.

So I heard that xfs should run xfs_freeze before create snapshot.
However, after xfs_freeze -f, then lvcreate hang all the time. And I
still can not kill (-9) the lvcreate process.
Comment 1 Eric Sandeen 2006-11-15 23:34:15 EST
what version of kernel/lvm are you using.  manual xfs_freeze has been
unnecessary for quite some time, as lvm automatically freezes the things it's
about to snapshot.  lvm is probably hung waiting for the filesystem to unfreeze
so that -it- can freeze it.


Comment 2 Eric Sandeen 2007-03-08 11:06:59 EST
Without any further information from the submitter, it appears that xfs_freeze
was manually invoked prior to taking the lvm snapshot, which then also tried to
freeze the filesystem, and got stuck behind xfs_freeze.

For newer lvm, no manual xfs_freeze is necessary, and in fact if you do it, it
will lock out the lvm snapshot.

If recent lvm snapshots are generating IO errors for you, perhaps you can open a
new bug with that information, as that seems like a separate, and more serious,


Note You need to log in before you can comment on or make changes to this bug.